Skip to content

Create a Server Sync Test Request

Request

Creates a test request for the specified server sync job for an Active Directory connection

Security
bearerAuth
Path
team_namestringrequired

The name of your Team

ad_connection_idstringrequired

The UUID of an AD connection

ad_task_settings_idstringrequired

The UUID of an existing server sync job

curl -i -X POST \
  'https://app.scaleft.com/v1/teams/{team_name}/integrations/ad_connections/{ad_connection_id}/task_settings/{ad_task_settings_id}/test_request' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>'

Responses

Created

Bodyapplication/json
ad_task_settings_idstring

The UUID of the associated server sync job

Example:"229a1621-a1g2-6366-q84d-da4vf2e76t2b"
ad_task_settings_namestring

The name of the associated server sync job

Example:"Server Sync Job - 1"
ad_test_request_idstring

The UUID of the test run for the server sync job

created_atstring, (date-time)read-only

A timestamp that indicates when the job run was created

Example:"2022-08-25T00:00:00Z"
idstring, (regex)^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-5][0-9a-fA-...

The UUID of the results from a specific server sync job run

Example:"p05ty0e4-a7tv-erp0-r6ynh-robt937s84hf"
rules_summary_statusstring

The state of rule_assignments for the associated server sync job. These are used to assign discovered servers to Projects. Possible values: done, error, timeout.

Example:"done"
statusobject

A summary of the server changes that resulted from the server sync job run.

task_statestringread-only

The state of the specific server sync job. Possible values: running, done, error

Example:"done"
updated_atstring, (date-time)read-only

A timestamp that indicates when the job run was last updated

Example:"2022-08-25T00:10:00Z"
Response
{ "ad_task_settings_id": "229a1621-a1g2-6366-q84d-da4vf2e76t2b", "ad_task_settings_name": "Server Sync Job - 1", "ad_test_request_id": "string", "created_at": "2022-08-25T00:00:00Z", "id": "p05ty0e4-a7tv-erp0-r6ynh-robt937s84hf", "rules_summary_status": "done", "status": { "summary": null, "detailed_summary": null }, "task_state": "done", "updated_at": "2022-08-25T00:10:00Z" }